Flags API reference

Flags API · History

get/v1/workspaces/{workspace_id}/projects/{project_id}/changes/exportAuth

Export changes

The filtered history as a file, newest first, at most 50,000 rows, streamed. `csv`: one row per change with the summary (no bodies). `json`: JSON Lines (`application/x-ndjson`), one change object per line with `before` and `after` (confidential lists as counts). Cells a spreadsheet would run as a formula start with `'`.

Path parameters

project_id*string · uuid

Id of the project.

workspace_id*string · uuid

Id of the workspace.

Query parameters

config_idstring · uuid

Only changes of this config (its settings, values and keys).

environment_idstring · uuid

Only changes in this environment (value writes, SDK keys).

setting_idstring · uuid

Only changes of this setting: its metadata and its values in every environment.

segment_idstring · uuid

Only changes of this segment.

actor_idstring

Only changes made by this actor (`actor.id`: a platform user id or an API key id).

sincestring · date-time

Only changes at or after this time (ISO 8601).

untilstring · date-time

Only changes before this time (ISO 8601).

formatenum (2)

`csv` (one row per change, with the summary; no `before` / `after`) or `json` (JSON Lines: one change object per line, with `before` and `after`).

Response · 200

The export file (`Content-Disposition: attachment`).

Example

Request

GET https://api.flags.productcraft.co/v1/workspaces/{workspace_id}/projects/{project_id}/changes/export
Authorization: Bearer YOUR_TOKEN